See what needs you
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"primary": "sender",
"to_approve": {
"count": 0,
"first_due_at": "2023-11-07T05:31:56Z"
},
"send_by_hand": {
"count": 0
},
"invites": {
"count": 0
},
"replies": {
"count": 0,
"people": [
{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
},
"failed": {
"count": 0,
"groups": [
{
"code": "<string>",
"count": 123,
"reason": "<string>",
"sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_name": "<string>",
"first_at": "2023-11-07T05:31:56Z",
"sender_back": true
}
],
"run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"sender_problems": [
{
"sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"sender_name": "<string>",
"people_waiting": 0
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
See what needs you
What this campaign is waiting on: approvals, replies, failures, senders.
GET
/
workflows
/
{workflow_id}
/
needs-you
See what needs you
curl --request GET \
--url https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/workflows/{workflow_id}/needs-you")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"primary": "sender",
"to_approve": {
"count": 0,
"first_due_at": "2023-11-07T05:31:56Z"
},
"send_by_hand": {
"count": 0
},
"invites": {
"count": 0
},
"replies": {
"count": 0,
"people": [
{
"lead_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
},
"failed": {
"count": 0,
"groups": [
{
"code": "<string>",
"count": 123,
"reason": "<string>",
"sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_name": "<string>",
"first_at": "2023-11-07T05:31:56Z",
"sender_back": true
}
],
"run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"sender_problems": [
{
"sender_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"sender_name": "<string>",
"people_waiting": 0
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Response
Success
Available options:
sender, to_approve, send_by_hand, failed, replies, invites Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes